clear all
alpha = -0.5; beta = -0.5;   m=1; %w = 100; change alpha, beta values for nonoscillation,  n= 101;
f=@(x)(-1/pi)*(((1-x)/2)*log(1-x)+((1+x)/2)*log(1+x)-log(2+x)-1)-0.4192007182789807;
%for iN = 1:100
iN=10;
n = 10*iN;
N=n+2;
x=0.6;
y=x;
A=zeros(N,1);
A(:,1)= experiment(alpha,beta,n+2); %Oliver_Mom_Triangle(alpha, beta, w, N);

    w1=(1-y)^alpha*(1+y)^beta;
    M(1,3)=(pi.*w1.*cot(pi.*alpha)-2.^(alpha+beta).*(gamma(alpha).*gamma(beta+1)./gamma(alpha+beta+1)).*mfun('hypergeom',[-alpha-beta,1],1-alpha,(1-y)/2)).';%Cauchy_singular_Triangle(20,alpha,beta,w,x(i));
    for j=2:N
M(j-1,1) =A(j-1,1);
M(1,2) = chebyshevT(j-1,x).*(pi.*w1.*cot(pi.*alpha)-2.^(alpha+beta).*(gamma(alpha).*gamma(beta+1)./gamma(alpha+beta+1)).*mfun('hypergeom',[-alpha-beta,1],1-alpha,(1-y)/2)).';
U(1:j-1)=chebyshevU((0:j-2),x);
U(1,j-1)=U(1,j-1)./2;
M(2,2)=2*U*flipud(M(1:j-1,1));
M(j,3)=M(2,2)+M(1,2);

end
 dd =clenshaw_curtis_type_coeffs(f,N-1,m,x);
W=dd*M(:,3);

D(iN,1)=1/pi.*(1-x).^(-alpha).*(1+x).^(-beta).*W;
U=1;
%end

 e=0.021087624977932796;
 E=zeros(length(D),1);
 err=abs(D-E);
 for iN = 1:100
n = 10*iN;
N(iN,1)=n;
 end
 semilogy(N,err,'ro-')
xlabel('N')
ylabel('Absolute errors')





